Installer 0 A.D, un clone d'Age Of Empires pour Linux


Game
0 A.D. est un clone open source d'Age Of Empire. Celui fonctionne sous Linux et se décompose en deux parties : la première se déroule de l'an -500 jusqu'à la naissance de Jésus Christ, tandis que la seconde se passe de l'an 0 à 500 après J-C. Le jeu est encore en phase de développement, mais celui-ci est suffisamment avancé pour le tester un peu. Voici comment l'installer sous Linux.

O A.D. un clone d'Age Of Empires pour Linux

Pour installer 0 A.D, ouvrez un terminal en root et lancez les commandes suivantes pour une distribution à base de Debian :

sudo add-apt-repository ppa:wfg/0ad
sudo apt-get update
sudo apt-get install 0ad

Ou celles-ci pour une distribution à base de RPM :

curl http://download.opensuse.org/repositories/games/Fedora_13/games.repo >/etc/yum.repos.d/obs-games.repo
yum install 0ad

Si jamais vous avez le message d'erreur suivant :

bt_audio_service_open: connect() failed: Connection refused (111)

Il faudra alors installer ce paquet :

sudo apt-get purge bluez-alsa

Pour lancer le jeu, utilisez simplement la commande 0ad dans un terminal.

Note : il est possible également de désactiver S3TC pour ceux qui ont des problèmes. Il suffit d'utiliser la configuration suivante dans le fichier ~/.config/0ad/config/local.cfg :

shadows = false
noframebufferobject = true
force_s3tc_enable = false

10 Commentaires pour "Installer 0 A.D, un clone d'Age Of Empires pour Linux"

Flux des commentaires de cet article Ajouter un commentaire
  •  

    Merci pour l'actu, sinon pour ubuntu y cela :

    sudo add-apt-repository ppa:wfg/0ad
    sudo apt-get update
    sudo apt-get install 0ad

    direct du site officiel ^^

    RépondreRépondre
    julien79portugal , le 23 août 2010 à 10:05
  •  

    Tien, un AOE en opensource... Je vais tout de suite voir à ça.

    Merci ! :)

    RépondreRépondre
    Dere011 , le 23 août 2010 à 10:31
  •  

    Ouah, je suis surpris de voir un tel jeu en open source. Il a l'air vraiment beau.

    RépondreRépondre
    Geekattitude , le 23 août 2010 à 11:34
  •  

    Un lien vers le site du jeux aurai été bon pour ceux qui veulent en voir un peu plus ...
    J'ai trouvé ca comme site (je ne sais pas si c'est l'officiel) :
    http://wildfiregames.com/0ad

    RépondreRépondre
    bibitte , le 23 août 2010 à 12:04
  •  

    @julien79portugal : bien la méthode que tu cite est déjà dans l'article...

    @Geekattitude : personnellement, je trouve les graphismes un peu dépassés par rapport à ce que l'on trouve aujourd'hui sur les jeux de ce type (et sous Windows). Mais ça reste sympa quand même, mais si c'est encore en développement et que tout ne fonctionne pas.

    @bibitte : j'ai oublié le lien, je le rajoute.

    RépondreRépondre
    pti-seb , le 23 août 2010 à 12:09
  •  

    J'ai un soucis, au lancement du jeu, il me dit qu'il faut (mieux) installer libtxc_dxtn pour pouvoir jouer car mes drivers ne fonctionnent pas pour la texture ST3C, sans cela la mémoire utilisée va être importante (impossible de jouer, la souris est très très lente). [Traduction très approximative du message affiché en anglais].

    D'autres ont le même problème ?

    RépondreRépondre
    yvand , le 23 août 2010 à 12:25
  •  

    @yvand : j'ai regardé rapidement, normalement tu peux récupérer les sources de libtxc_dxtn sur ce site. Tu pourras ensuite compiler avec les commandes suivantes en root :

    sudo apt-get install mesa-common-dev
    tar zxvf libtxc_*.tar.gz
    cd libtxc_dxtn
    make
    make install

    Sinon il y a plein de forums qui traitent le sujet.

    RépondreRépondre
    pti-seb , le 23 août 2010 à 12:42
  •  

    @pti-seb : oups désoler ...j'avais la tête dans le c*l ce matin, désoler
    Sinon le jeux n'est pas stable chez moi, Enfin c'est une alpha ^^
    J'attend de voir le jeux avec les option modifiable pour baisser les graphismes, si possible

    RépondreRépondre
    julien79portugal , le 23 août 2010 à 12:44
  •  

    @julien79portugal j'avais rencontré cette erreur également avec la version précédente à l'alpha.
    Voici une autre solution :
    # aptitude install driconf
    Bonne journée

    RépondreRépondre
    Pierre-Yves , le 27 août 2010 à 16:51
  •  

    J'ai installer "djl" perso, c'est une sorte de "steam" du jeu libre sous linux.
    121 jeux sont proposé et en ce moment je joue énormément à "Cube" sorte de Quake très fluide.

    RépondreRépondre
    rejulk , le 1 septembre 2010 à 00:31
 

Ajouter un commentaire

actualité android apache apple astuce astuces bash bilboblog blog boot chrome clavier commande commandes conky date debian Desktop développement elementary exploit faille fedora firefox flash gimp gnome google graphique Graphisme hack hacking Hardware humour intel internet iphone jailbreak Jeux Kde kernel libre Linux log logiciels Logiciels Libres lucid lynx maemo mail maquette metasploit microsoft mobile mockup monitoring mozilla multi-touch musique mysql n900 nautilus nokia noyau openoffice open source password photos php Planet publicité redhat red hat rpm réseau screenshot script serveur serveurs shell sql ssh statistiques sysadmin system Sécurité thème tux-planet tv twitter ubuntu unity vidéo vidéos vlc voyage wallpaper windows wordpress yum